<!-- Settings to inject the CI job token for authentication to package repository -->
<settings xmlns="http://maven.apache.org/SETTINGS/1.1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.1.0 http://maven.apache.org/xsd/settings-1.1.0.xsd">
  <profiles>
    <profile>
      <id>elg-gitlab-repo</id>
      <repositories>
        <repository>
          <id>elg-gitlab</id>
          <name>ELG Group GitLab Repo</name>
          <url>https://gitlab.com/api/v4/groups/european-language-grid/-/packages/maven/</url>
          <layout>default</layout>
          <releases><enabled>false</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
        </repository>
      </repositories>
    </profile>
  </profiles>
  <activeProfiles>
    <activeProfile>elg-gitlab-repo</activeProfile>
  </activeProfiles>

  <servers>
    <server>
      <id>gitlab-maven</id>
      <configuration>
        <httpHeaders>
          <property>
            <name>Job-Token</name>
            <value>${CI_JOB_TOKEN}</value>
          </property>
        </httpHeaders>
      </configuration>
    </server>
  </servers>
</settings>
